org.codehaus.groovy.runtime

## Class XmlGroovyMethods

- java.lang.Object
- - org.codehaus.groovy.runtime.XmlGroovyMethods

    public class XmlGroovyMethods
    extends java.lang.Object

This class defines all the new XML-related groovy methods which enhance the normal JDK XML classes when inside the Groovy environment. Static methods are used with the first parameter the destination class.

### Constructor Summary

Constructors
Constructor and Description
`XmlGroovyMethods()`

### Method Summary

Methods
`static java.util.Iterator<org.w3c.dom.Node>` `iterator(org.w3c.dom.NodeList nodeList)` Makes NodeList iterable by returning a read-only Iterator which traverses over each Node.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XmlGroovyMethods

    public XmlGroovyMethods()

### Method Detail

#### iterator

    public static java.util.Iterator<org.w3c.dom.Node> iterator(org.w3c.dom.NodeList nodeList)

Makes NodeList iterable by returning a read-only Iterator which traverses over each Node.

Parameters:
  `nodeList` - a NodeList
Returns:
  an Iterator for a NodeList
Since:
  1.0